

    .modal-firma {
        display: none;
        position: fixed;
        z-index: 1;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        overflow: auto;
        background-color: rgba(0, 0, 0, 0.4);
    }

.modal-content-firma {
    background-color: #fefefe;
    margin: 5% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%; /* Ancho del modal en pantallas grandes */
    max-width: 500px; /* Ancho máximo del modal */
    height: auto; /* Alto del modal en pantallas grandes */
    max-height: 600px; /* Alto máximo del modal */
    border-radius: 10px; /* Redondear las esquinas del modal */
}

    .modal-header-firma {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding-bottom: 10px;
        border-bottom: 1px solid #ddd;
    }

        .modal-header-firma img {
            max-width: 100%;
            height: auto;
            width: 100px; /* Ancho deseado para las imágenes */
        }

    .modal-title-firma {
        flex-grow: 1;
        text-align: center;
        font-family: "Roboto", sans-serif; /* Cambiar el tipo de fuente del título del encabezado */
    }

    .modal-body-firma {
        padding: 20px 0;
        /*width: 100%; /* Ancho completo */ */
    }

    .modal-footer-firma {
        padding-top: 10px;
        border-top: 1px solid #ddd;
        text-align: center;
        font-size: 11px;
    }

    .row-firma::after {
        content: "";
        clear: both;
        display: table;
    }

    .col-md-12-firma {
        width: 100%;
    }

    .col-md-4-firma {
        width: 33.33%;
    }

    .col-md-3-firma {
        width: 25%;
    }

    .col-md-6-firma {
        width: 50%;
    }

    .margin-b-0 {
        margin-bottom: 0px;
    }

    .form-group-firma {
        margin-bottom: 15px;
    }

    .form-group-firma label {
        display: block;
        /*font-weight: bold;*/
        /*font-family: "Roboto", sans-serif;  Cambiar el tipo de fuente de los labels del cuerpo */
        color: #444444;
        margin-bottom: 5px;
    }

    .form-group-firma input[type="file"] {
        width: 100%;
        padding: 5px;
    }

    .form-group-firma input {
        width: 100%;
        padding: 5px;
        color: #6c757d
    }

    .close-button-firma {
        margin-left: auto;
        border: 1px solid transparent;
        background-color: #fefefe;
        cursor: pointer;
    }

    .full-width-button-firma {
        width: 100%;
        height: 30px; /* Cambiar la altura del botón Validar */
        color: #fff;
        background-color: #632327;
        border: 1px solid transparent;
        margin-top: 20px;
        cursor: pointer;
    }

    .full-width-button-firma:hover {
        color: #fff;
        background-color: #893036;
    }

    .centered-row-firma {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .row-firma {
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        margin-right: -1px;
        margin-left: -1px;
        margin-bottom: 20px;
    }

    .form-check-firma {
        position: relative;
        display: block;
        padding-left: 1.25rem;
    }

    .form-check-input-firma {
        position: absolute;
        margin-top: 0.3rem;
        margin-left: -1.25rem;
    }

    .form-check-input-firma:disabled ~ .form-check-label-firma {
        color: #6c757d;
    }

    .form-check-label-firma {
        margin-bottom: 0;
    }

    .form-check-inline-firma {
        display: -ms-inline-flexbox;
        display: inline-flex;
        -ms-flex-align: center;
        align-items: center;
        padding-left: 0;
        margin-right: 0.75rem;
    }

    .form-check-inline-firma .form-check-input-firma {
        position: static;
        margin-top: 0;
        margin-right: 0.3125rem;
        margin-left: 0;
    }

    .custom-radio-firma {
        display: flex;
        align-items: center;
        padding-left: 33%;
    }

    .custom-radio-firma input[type="radio"] {
        margin-right: 8px;
    }

    .custom-radio-firma > .form-check-inline-firma > .form-check-label-firma {
        margin-right: 10px;
    }

    /* Input file */
    .input-file-firma {
        background-color: white;
        border: 1px solid #e2e9f3;
        border-radius: 4px;
        height: 30px;
        width: 100%;
        color: #565A90;
    }

    .input-file-firma::file-selector-button {
        border: none;
        border-radius: 4px;
        color: white;
        background-color: gray;
        border: 1px solid #FFF;
        height: 30px;
        cursor: pointer;
        transition: all .25s ease-in;
        cursor: pointer;
    }

        .input-file-firma::file-selector-button:hover {
            background-color: lightgray;
            color: gray;
            transition: all .25s ease-in;
        }

    /*-Input Pass*/
    .input-pass-firma {
        background-color: white;
        border: 1px solid #e2e9f3;
        border-radius: 4px;
        height: 30px;
        width: 100%;
        color: #565A90
    }

    .input-pass-firma focus, input:focus {
        /*background-color: white;  */
        outline: none;
    }

    @media (max-width: 576px) { /* Estilos para pantallas pequeñas */
        .modal-content {
            width: 90%; /* Ancho del modal en pantallas pequeñas */
            height: 90%; /* Alto del modal en pantallas pequeñas */
        }
    }

    /* Form erros */
    .error {
        color: red;
        font-size: 12px;
        margin-top: 5px;
        font-style: italic;
    }